1 Reply Latest reply on Nov 9, 2014 4:49 PM by Carl Sun

    Upgraded to Yosemite, can't get an Extension manager that works with CS5

    starvingartist29

      I am suing the CS5 suite: Photoshop, Illustrator, etc

       

      Am trying to add some plugins to Photoshop and Extension Manager CS5.5 just crashes every time.  Tried upgrading to EMCC and it won't open the extensions.  It tells me I am need at least Photoshop 12.0.  I thought CS5 was a later version.

       

      I can't afford to upgrade when the suite works perfectly for me.

       

      How do I get EM to work with the extensions I need?

       

      The plug-ins I need are located here:

       

      Adobe - Photoshop : For Macintosh : Photoshop CS5 Optional Plug-Ins (Mac)